# Historical data

#### **Retrieve user's fills**

{% content-ref url="historical-data/userfills" %}
[userfills](https://docs.hydromancer.xyz/readme/rest-api/historical-data/userfills)
{% endcontent-ref %}

#### **Retrieve user's fills&#x20;*****within a specified time range***

{% content-ref url="historical-data/userfillsbytime" %}
[userfillsbytime](https://docs.hydromancer.xyz/readme/rest-api/historical-data/userfillsbytime)
{% endcontent-ref %}

#### **Retrieve user's TWAP slice fills**

{% content-ref url="historical-data/usertwapslicefills" %}
[usertwapslicefills](https://docs.hydromancer.xyz/readme/rest-api/historical-data/usertwapslicefills)
{% endcontent-ref %}

#### **Retrieve user's funding history**

{% content-ref url="historical-data/userfunding" %}
[userfunding](https://docs.hydromancer.xyz/readme/rest-api/historical-data/userfunding)
{% endcontent-ref %}

#### **Retrieve user's non funding ledger history**

{% content-ref url="historical-data/usernonfundingledgerupdates" %}
[usernonfundingledgerupdates](https://docs.hydromancer.xyz/readme/rest-api/historical-data/usernonfundingledgerupdates)
{% endcontent-ref %}

#### **Retrieve builder fills**

{% content-ref url="historical-data/builderfills" %}
[builderfills](https://docs.hydromancer.xyz/readme/rest-api/historical-data/builderfills)
{% endcontent-ref %}

#### **Retrieve builder fills&#x20;*****within a specified time range***

{% content-ref url="historical-data/builderfillsbytime" %}
[builderfillsbytime](https://docs.hydromancer.xyz/readme/rest-api/historical-data/builderfillsbytime)
{% endcontent-ref %}

#### **Retrieve user's TWAP summaries**

{% content-ref url="historical-data/usertwapsummaries" %}
[usertwapsummaries](https://docs.hydromancer.xyz/readme/rest-api/historical-data/usertwapsummaries)
{% endcontent-ref %}

#### **Retrieve funding history for a coin**

{% content-ref url="historical-data/fundinghistory" %}
[fundinghistory](https://docs.hydromancer.xyz/readme/rest-api/historical-data/fundinghistory)
{% endcontent-ref %}

#### **Retrieve user's historical orders**

{% content-ref url="historical-data/historicalorders" %}
[historicalorders](https://docs.hydromancer.xyz/readme/rest-api/historical-data/historicalorders)
{% endcontent-ref %}

#### **Retrieve builder orders&#x20;*****within a specified time range***

{% content-ref url="historical-data/builderordersbytime" %}
[builderordersbytime](https://docs.hydromancer.xyz/readme/rest-api/historical-data/builderordersbytime)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hydromancer.xyz/readme/rest-api/historical-data.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
